This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 890903 (CVE-2012-6082)

Summary: CVE-2012-6082 moinmoin: Wiki (XSS in rss link)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: extras-orphan, imlinux+fedora, ivazqueznet, jlieskov, vpvainio
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121229,reported=20121231,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/moin=affected,epel-5/moin=affected,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 890906, 890907    
Bug Blocks:    

Description Huzaifa S. Sidhpurwala 2012-12-30 23:18:07 EST
A Cross-site scripting (XSS) was found in  MoinMoin wiki, version 1.9.5. Function rsslink() in "theme/__init__.py" does not properly escape the page name parameter.

Details can be found at: http://moinmo.in/SecurityFixes

A fix is available at: http://hg.moinmo.in/moin/1.9/rev/c98ec456e493 

This issue has been assigned CVE-2012-6082.

Reference:
http://seclists.org/oss-sec/2012/q4/523
Comment 1 Huzaifa S. Sidhpurwala 2012-12-30 23:27:28 EST
Created moin tracking bugs for this issue

Affects: fedora-all [bug 890906]
Affects: epel-5 [bug 890907]
Comment 3 Fedora Update System 2013-01-19 21:56:09 EST
moin-1.9.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-01-22 20:38:41 EST
moin-1.9.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-01-22 21:00:13 EST
moin-1.9.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.